Update Script
Updates a Script.
Authentication
Path parameters
Request
Consent category for GDPR and CCPA compliance. Defaults to unknown when not specified. Scripts with an unknown consent category do not display on stores with customer cookie consent banners enabled.
The user-friendly description.
An HTML string containing exactly one script tag. Present when the script kind is script_tag.
Array of Subresource integrity (SRI) hashes for external SRC scripts that lets browsers validate the contents of the script.
The hash is the integrity attribute on the script tag. You can add up to five hashes for a script and generate them using any SRI standard-supported algorithm, including SHA-256, SHA-384, and SHA-512. If you provide more than one hash, they will all be added to the integrity attribute in order, separated by whitespace.
What type of script this is.
src - For scripts that use the src URL. A script tag will be generated with its src attribute set to the value of the src property. When your app provides a path to the script, we can optimize and add the script automatically for you. The load_method can vary.
script_tag - For scripts that include a raw HTML script tag-enclosed block of JavaScript. The value of html is added directly to the page. The load_method must be default.
The load method to use for the script. Values are default, async, or defer. It determines how the script should be loaded into the page.
Where on the page to place the script. Values are head or footer.
The user-friendly name.
The src attribute of the script to load. Only present if kind is src.
Which set of pages the script should load on.
Please note that you need to have Checkout content scope to use all_pages and checkout.
-
The current visibility options are
storefront,checkout,all_pagesandorder_confirmation.storefront: All pages that are notcheckoutororder_confirmation.
For a list of all locations visit Scripts Visibility.